package fr.velossity.sample.device;

/**
 * DeviceHandler interface for your OSGi platform.
 * @author C. Saint-Marcel
 *
 */
public interface DeviceHandler {
	
	/**
	 * Callback used when a new Device service is registering in the framework.
	 * @param newDevice the OSGi service
	 */
	void handle(Device newDevice);
	
	/**
	 * Callback used when a Device service is unregistering in the framework.
	 * @param theDevice the OSGi service
	 */
	void free(Device theDevice);
}
